CREATE TABLE {$NAMESPACE}_extensionstore.extensionstore_publisher (
  id INT UNSIGNED NOT NULL AUTO_INCREMENT PRIMARY KEY,
  phid VARBINARY(64) NOT NULL,
  name VARCHAR(255) NOT NULL COLLATE {$COLLATE_SORT},
  publisherKey VARCHAR(64) NOT NULL COLLATE {$COLLATE_SORT},
  status VARCHAR(32) NOT NULL COLLATE {$COLLATE_TEXT},
  description LONGTEXT NOT NULL COLLATE {$COLLATE_TEXT},
  details LONGTEXT NOT NULL COLLATE {$COLLATE_TEXT},
  viewPolicy VARBINARY(64) NOT NULL,
  editPolicy VARBINARY(64) NOT NULL,
  dateCreated INT UNSIGNED NOT NULL,
  dateModified INT UNSIGNED NOT NULL,
  UNIQUE KEY `key_publisherkey` ( `publisherKey` ),
  UNIQUE KEY `key_phid` ( `phid` )
) ENGINE=InnoDB, COLLATE {$COLLATE_TEXT};


CREATE TABLE {$NAMESPACE}_extensionstore.extensionstore_publishertransaction
  LIKE {$NAMESPACE}_file.file_transaction;
